# BankID C Server PAdES example

This application demonstrates how PAdES signing can be implemented using BankID C Server.
BankID C Server is used through a JNI wrapper, but the wrapper is quite faithful to the C API, so translating between them should be relatively straightforward.

The most interesting parts are likely the callback handlers, which are located in the file `BankIDWebClientSigningController.java`.

## Network requirements
This application must respond to requests from the BankID Client Proxy.
Client Proxy will try to reach the application at `${bankid.callbackBaseUrl}/bwc_callback_sign`.
`bankid.callbackBaseUrl` is configured in `pom.xml`.

## Running the application
1. Get a testing certificate from https://ra-preprod.bankidnorge.no/#/search/orgNr.
2. In `pom.xml`, update the properties marked with `FIXME` to match your environment.
3. With the `CAPI` and `bidcserver` libraries from the BankID C Server distribution package on the library path, run the application with `mvn jetty:run`.
