package bid.ex.controller;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.log4j.Logger;

import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerExceptionResolver;
import org.springframework.web.servlet.ModelAndView;

/**
 * Very simple HandlerExceptionResolver used to log uncaught controller exceptions.
 */
@Component
public class DefaultExceptionHandler implements HandlerExceptionResolver {
    private static final Logger log = Logger.getLogger(DefaultExceptionHandler.class);

    @Override
    public ModelAndView resolveException(final HttpServletRequest request, final HttpServletResponse response, final Object o, final Exception e) {
        log.error("Uncaught exception from controller", e);
        return null;
    }
}
