package bid.ex.support;

import no.bbs.bankid.netcentric.centralverifier.communication.CSerialSigningData;

public class ParallelOrSerialDocumentToSign {
    public String parallelData;

    public enum Kind { BTXT,BXML,BPDF,BSERIAL};
    public String textToSign;
    public String xml;
    public String xsl;
    public byte[] pdf;
    public Kind kind;
    public CSerialSigningData serialSigningData;
    private ParallelOrSerialDocumentToSign() {}

    public static ParallelOrSerialDocumentToSign serialDoc(CSerialSigningData value) {
        ParallelOrSerialDocumentToSign p = new ParallelOrSerialDocumentToSign();
        p.serialSigningData = value;
        p.kind = ParallelOrSerialDocumentToSign.Kind.BSERIAL;
        return p;
    }

    public static ParallelOrSerialDocumentToSign textDoc(String textToSign) {
        ParallelOrSerialDocumentToSign p = new ParallelOrSerialDocumentToSign();
        p.textToSign = textToSign;
        p.kind = Kind.BTXT;
        return p;
    }

    public static ParallelOrSerialDocumentToSign pdfDoc(byte[] pdf) {
        ParallelOrSerialDocumentToSign p = new ParallelOrSerialDocumentToSign();
        p.pdf = pdf;
        p.kind = Kind.BPDF;
        return p;
    }

    public static ParallelOrSerialDocumentToSign xmlDoc(String xml, String xsl) {
        ParallelOrSerialDocumentToSign p = new ParallelOrSerialDocumentToSign();
        p.xml = xml;
        p.xsl = xsl;
        p.kind = Kind.BXML;
        return p;
    }
}
