package bid.ex.support;

import java.util.LinkedHashMap;
import java.util.Map;

public class SizeRestrictedMap<K, V> extends LinkedHashMap<K, V>
{
    private final int maxSize;

    public SizeRestrictedMap(int maxSize)
    {
        super(maxSize, 0.75f, true); // true ==> removes by insertion order
        this.maxSize = maxSize;
    }

    @Override
    protected boolean removeEldestEntry(Map.Entry<K,V> eldest)
    {
        return size() > maxSize;
    }
}