<%@ page import="bid.ex.support.Utils" %>
<%@ page import="bid.ex.BankIDConfig" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ page contentType="text/html;charset=utf-8" language="java" %>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Bankid signing example using Webclient</title>
</head>
<body onload="signingKindRadioClick()">
<script type="text/javascript" src="<c:url value="/js/bid20upbw.min.js"/>"></script>
<script type="text/javascript" src="<c:url value="/js/jquery-1.7.1.min.js"/>"></script>

<p>
    To run signing, your site must be accessible from BankID FOI's ClientProxy <br>
    Your address is <b>https://<%=Utils.getLocalHostName()%>:<%=System.getProperty("https.port")%>
</b>
    which will be accessed from BankID FOI's clientProxy indirectly via <b><%=BankIDConfig.getMerchantCallbackBaseUrl()%>
</b><br>
    If you get a BID-188xx this callback is most likely the problem. Check the access log
    on <%=BankIDConfig.getMerchantCallbackBaseUrl()%>.
</p>

<form method="post" action="<c:url value="bwc_start_sign"/>" enctype="multipart/form-data" accept-charset="UTF-8">
    <table id="table">
        <tr>
            <th width="300"><label for="signingKind">Signing kind</label></th>
            <td width="180">
                <input type="radio" name="signingKind" value="Serial" checked="checked" onclick="signingKindRadioClick()"> Serial
            </td>
            <td width="180">
                <input type="radio" name="signingKind" value="SerialEndUserOnly" onclick="signingKindRadioClick()"> Serial - End User only
            </td>
            <td width="180">
                <input type="radio" name="signingKind" id="signingKind" value="Parallel"  onclick="signingKindRadioClick()"> Parallel
            </td>
        </tr>
        <tr>
            <th><label for="ssn">Ssn (opt):</label></th>
            <td colspan="3">
                <input id="ssn" name="ssn" value=""/>
            </td>
            <!-- When users enter their SSNs in the form input field, bid20upbw.min.js will store keystroke data in this field, the contents of which
                 will then be passed along to FOI. -->
            <input type="hidden" id="keyStrokeData" name="keyStrokeData" value="">
            <!-- see bankid doc for howto compute -->
        </tr>
        <tr>
            <th><label for="frameMode">Frame mode</label></th>
            <td>
                <input type="radio" name="frameMode" id="frameMode" value="iframe" checked="checked"> IFRAME
            </td>
            <td>
                <input type="radio" name="frameMode" value="window"> WINDOW
            </td>
            <td>
                <input type="radio" name="frameMode" value="redirect"> REDIRECT
            </td>
        </tr>
        <tr>
            <th><label for="documentDisplayMode">Document display mode</label></th>
            <td>
                <input type="radio" name="documentDisplayMode" id="documentDisplayMode" value="interior"
                       checked="checked"> INTERIOR
            </td>
            <td>
                <input type="radio" name="documentDisplayMode" value="overlay"> OVERLAY
            </td>
            <td>
                <input type="radio" name="documentDisplayMode" value="window"> WINDOW
            </td>
        </tr>
        <tr>
            <th><label for="useCallback">JavaScript callback ?</label></th>
            <td>
                <input type="checkbox" name="useCallback" id="useCallback" value="true"> Yes<br>
            </td>
            <th><label for="englishClient">English client ?</label></th>
            <td>
                <input type="checkbox" name="englishClient" id="englishClient" value="true"> Yes<br>
            </td>
            <th><label for="noGraphic">No visible Seals (turnkey) ?</label></th>
            <td>
            <input type="checkbox" name="noGraphic" id="noGraphic" value="true"> Yes<br>
            </td>
        </tr>
        <tr name="Serial" hidden="hidden">
            <th><label for="selfAssemblerSeals">Self assembling seals? </label></th>
            <td>
                <input type="checkbox" name="selfAssemblerSeals" id="selfAssemblerSeals" value="true"> Yes<br>
            </td>
            <th><label for="selfAssemblerValidation">Self assembling validation ? </label></th>
            <td>
                <input type="checkbox" name="selfAssemblerValidation" id="selfAssemblerValidation" value="true"> Yes<br>
            </td>
        </tr>
        <tr name="Parallel">
            <th><label for="formatSelector">Use new CMS and OCSP formats</label></th>
            <td>
                <input type="checkbox" name="useNewCMSAndOCSP" id="formatSelector" value="true"> Yes
            </td>
        </tr>
        <tr name="Parallel">
            <th><label for="textToSign">Text to sign</label></th>
            <td colspan="3">
                <textarea name="textToSign" id="textToSign" cols="55" rows="7">
Plain text to sign
                </textarea>
            </td>
        </tr>
        <tr name="Parallel">
            <th><label for="useText">Text or example XML ?</label></th>
            <td>
                <input type="radio" name="useText" id="useText" value="true" checked="checked"> Text
            </td>
            <td>
                <input type="radio" name="useText" value="false"> XML
            </td>
        </tr>
        <tr>
            <th rowspan="5"><label for="pdfToSign">PDF to sign</label></th>
            <td colspan="3"><input type="file" name="pdfToSign" id="pdfToSign"></td>
        </tr>
        <tr>
            <td colspan="3"><input type="file" name="pdfToSign1"></td>
        </tr>
        <tr>
            <td colspan="3"><input type="file" name="pdfToSign2"></td>
        </tr>
        <tr>
            <td colspan="3"><input type="file" name="pdfToSign3"></td>
        </tr>
        <tr>
            <td colspan="3"><input type="file" name="pdfToSign4"></td>
        </tr>
        <tr name="Parallel">
            <th><label for="multiDoc">Multi (will use text+xml+pdf)?</label></th>
            <td>
                <input type="radio" name="multiDoc" value="true"> Yes<br>
            </td>
            <td>
                <input type="radio" name="multiDoc" id="multiDoc" value="false" checked="checked"> No<br>
            </td>
        </tr>
        <tr name="Serial" hidden="hidden">
            <th><label for="visualMerchantSeal">Visual Merchant Seal</label></th>
            <td colspan="3"><input type="file" name="visualMerchantSeal" id="visualMerchantSeal"></td>
        </tr>
        <tr name="Serial" hidden="hidden">
            <th><label for="visualEndUserSeal">Visual End User Seal</label></th>
            <td colspan="3"><input type="file" name="visualEndUserSeal" id="visualEndUserSeal"></td>
        </tr>
        <tr>
            <td colspan="4" align="center"><input type="submit" value="Submit"/></td>
        </tr>
    </table>
</form>
<script type="text/javascript" src="<c:url value="/js/connectbid20upbw.js"/>"></script>
<script type="text/javascript"> //Dynamic Form logic
function signingKindRadioClick() {
    var serialElements = document.getElementsByName("Serial");
    var parallelElements = document.getElementsByName("Parallel");
    var isSerial = false;
    var signingKindRadioButtons = document.getElementsByName("signingKind");
    for (i = 0; i < signingKindRadioButtons.length; i++) {
        if (!(signingKindRadioButtons[i].value == "Parallel") && signingKindRadioButtons[i].checked) {
            isSerial = true;
            break;
        }
    }
    if (isSerial) {
        for (i = 0; i < serialElements.length; i++) {
            serialElements[i].hidden = false;
        }
        for (i = 0; i < parallelElements.length; i++) {
            parallelElements[i].hidden = true;
        }
    } else {
        for (i = 0; i < serialElements.length; i++) {
            serialElements[i].hidden = true;
        }
        for (i = 0; i < parallelElements.length; i++) {
            parallelElements[i].hidden = false;
        }
    }
}
</script>
<!-- Must be loaded after form to be able to find elements -->
</body>
</html>